searchNodes=[{"doc":"Documentation for Elrondex .","ref":"Elrondex.html","title":"Elrondex","type":"module"},{"doc":"Hello world. Examples iex&gt; Elrondex . hello ( ) :world","ref":"Elrondex.html#hello/0","title":"Elrondex.hello/0","type":"function"},{"doc":"","ref":"Elrondex.Account.html","title":"Elrondex.Account","type":"module"},{"doc":"Generates an account based on a specific address. Arguments address - a wallet's address Examples iex&gt; Elrondex.Test.Bob . address ( ) ...&gt; |&gt; Elrondex.Account . from_address ( ) ...&gt; |&gt; Map . get ( :public_key ) &lt;&lt; 203 , 118 , 219 , 103 , 28 , 45 , 57 , 174 , 200 , 185 , 187 , 95 , 244 , 197 , 165 , 240 , 28 , 122 , 88 , 250 , 13 , 128 , 6 , 242 , 143 , 81 , 69 , 130 , 54 , 31 , 71 , 129 &gt;&gt;","ref":"Elrondex.Account.html#from_address/1","title":"Elrondex.Account.from_address/1","type":"function"},{"doc":"Returns an account from the mnemonic. Arguments mnemonic - a wallet's mnemonic Examples iex&gt; Elrondex.Test.Bob . mnemonic ( ) ...&gt; |&gt; Elrondex.Account . from_mnemonic ( ) ...&gt; |&gt; Map . get ( :address ) ...&gt; &quot;erd1edmdkecu95u6aj9ehd0lf3d97qw85k86pkqqdu5029zcydslg7qs3tdc59&quot;","ref":"Elrondex.Account.html#from_mnemonic/3","title":"Elrondex.Account.from_mnemonic/3","type":"function"},{"doc":"Generates an account based on a specific private key. Arguments private_key - a private key (in binary or in hex format) Examples iex&gt; Elrondex.Test.Bob . private_key ( ) ...&gt; |&gt; Elrondex.Account . from_private_key ( ) ...&gt; |&gt; Map . get ( :address ) &quot;erd1edmdkecu95u6aj9ehd0lf3d97qw85k86pkqqdu5029zcydslg7qs3tdc59&quot; iex&gt; Elrondex.Test.Bob . hex_private_key ( ) ...&gt; |&gt; Elrondex.Account . from_private_key ( ) ...&gt; |&gt; Map . get ( :address ) &quot;erd1edmdkecu95u6aj9ehd0lf3d97qw85k86pkqqdu5029zcydslg7qs3tdc59&quot;","ref":"Elrondex.Account.html#from_private_key/1","title":"Elrondex.Account.from_private_key/1","type":"function"},{"doc":"Generates an account based on a specific public key. Arguments public_key - a public key (in binary or in hex format) Examples iex&gt; Elrondex.Test.Bob . public_key ( ) ...&gt; |&gt; Elrondex.Account . from_public_key ( ) ...&gt; |&gt; Map . get ( :address ) &quot;erd1edmdkecu95u6aj9ehd0lf3d97qw85k86pkqqdu5029zcydslg7qs3tdc59&quot;","ref":"Elrondex.Account.html#from_public_key/1","title":"Elrondex.Account.from_public_key/1","type":"function"},{"doc":"Generates a random account. Examples iex&gt; Elrondex.Account . generate_random ( ) . address ...&gt; |&gt; String . slice ( 0 , 3 ) &quot;erd&quot;","ref":"Elrondex.Account.html#generate_random/0","title":"Elrondex.Account.generate_random/0","type":"function"},{"doc":"","ref":"Elrondex.Account.html#get_otp_version/0","title":"Elrondex.Account.get_otp_version/0","type":"function"},{"doc":"Converts an account's private key to hex format. Arguments account - the account that uses the key Examples iex&gt; Elrondex.Test.Bob . private_key ( ) ...&gt; |&gt; Elrondex.Account . from_private_key ( ) ...&gt; |&gt; Elrondex.Account . hex_private_key ( ) &quot;5d251c79a032263f4af11acd06d6d5d92646b408a256a282155b8363e2f168bf&quot;","ref":"Elrondex.Account.html#hex_private_key/1","title":"Elrondex.Account.hex_private_key/1","type":"function"},{"doc":"Converts an account's public key to hex format. Arguments account - the account that uses the key Examples iex&gt; Elrondex.Test.Bob . public_key ( ) ...&gt; |&gt; Elrondex.Account . from_public_key ( ) ...&gt; |&gt; Elrondex.Account . hex_public_key ( ) &quot;cb76db671c2d39aec8b9bb5ff4c5a5f01c7a58fa0d8006f28f514582361f4781&quot;","ref":"Elrondex.Account.html#hex_public_key/1","title":"Elrondex.Account.hex_public_key/1","type":"function"},{"doc":"Returns an account's address from the public key. Arguments public_key - a public key (in binary or in hex format) Examples iex&gt; Elrondex.Test.Bob.account().public_key() ...&gt; |&gt; Elrondex.Account.public_key_to_address &quot;erd1edmdkecu95u6aj9ehd0lf3d97qw85k86pkqqdu5029zcydslg7qs3tdc59&quot; iex&gt; Elrondex.Test.Bob.hex_public_key() ...&gt; |&gt; Elrondex.Account.public_key_to_address() &quot;erd1edmdkecu95u6aj9ehd0lf3d97qw85k86pkqqdu5029zcydslg7qs3tdc59&quot;","ref":"Elrondex.Account.html#public_key_to_address/1","title":"Elrondex.Account.public_key_to_address/1","type":"function"},{"doc":"Signs the data. Arguments data_to_sign - data to sign account - the account that signs","ref":"Elrondex.Account.html#sign/2","title":"Elrondex.Account.sign/2","type":"function"},{"doc":"Verifies the signature of the data. Arguments data_to_sign - data to sign signature - the signature account - the account that signed","ref":"Elrondex.Account.html#sign_verify/3","title":"Elrondex.Account.sign_verify/3","type":"function"},{"doc":"","ref":"Elrondex.Block.html","title":"Elrondex.Block","type":"module"},{"doc":"","ref":"Elrondex.Block.html#from_payload/2","title":"Elrondex.Block.from_payload/2","type":"function"},{"doc":"","ref":"Elrondex.Block.html#struct_fields/0","title":"Elrondex.Block.struct_fields/0","type":"function"},{"doc":"","ref":"Elrondex.ESDT.html","title":"Elrondex.ESDT","type":"module"},{"doc":"","ref":"Elrondex.ESDT.html#burn/3","title":"Elrondex.ESDT.burn/3","type":"function"},{"doc":"","ref":"Elrondex.ESDT.html#freeze/3","title":"Elrondex.ESDT.freeze/3","type":"function"},{"doc":"","ref":"Elrondex.ESDT.html#get_esdt_properties_map/1","title":"Elrondex.ESDT.get_esdt_properties_map/1","type":"function"},{"doc":"","ref":"Elrondex.ESDT.html#get_rest_esdt/2","title":"Elrondex.ESDT.get_rest_esdt/2","type":"function"},{"doc":"See Elrondex.Sc.hex_encode/1 .","ref":"Elrondex.ESDT.html#hex_encode/1","title":"Elrondex.ESDT.hex_encode/1","type":"function"},{"doc":"","ref":"Elrondex.ESDT.html#mint/3","title":"Elrondex.ESDT.mint/3","type":"function"},{"doc":"Performs multiple token transfer in a single transaction. Arguments account - An account's struct reciever - The reciever's address tokens - a list of tokens (eg: [{token1, value1}, {token2, value2}, {token3, value3}])","ref":"Elrondex.ESDT.html#multi_esdt_nft_transfer/4","title":"Elrondex.ESDT.multi_esdt_nft_transfer/4","type":"function"},{"doc":"Performs a two token transfer in a single transaction. Arguments account - An account's struct reciever - The reciever's address first_token - First token to be transferred first_value - Value of first token to be transferred second_token - Second token to be transferred second_value - Value of second token to be transferred","ref":"Elrondex.ESDT.html#multi_esdt_nft_transfer/7","title":"Elrondex.ESDT.multi_esdt_nft_transfer/7","type":"function"},{"doc":"","ref":"Elrondex.ESDT.html#pause/2","title":"Elrondex.ESDT.pause/2","type":"function"},{"doc":"","ref":"Elrondex.ESDT.html#set_esdt_properties/2","title":"Elrondex.ESDT.set_esdt_properties/2","type":"function"},{"doc":"","ref":"Elrondex.ESDT.html#set_esdt_property/2","title":"Elrondex.ESDT.set_esdt_property/2","type":"function"},{"doc":"","ref":"Elrondex.ESDT.html#set_roles/4","title":"Elrondex.ESDT.set_roles/4","type":"function"},{"doc":"","ref":"Elrondex.ESDT.html#transfer/5","title":"Elrondex.ESDT.transfer/5","type":"function"},{"doc":"","ref":"Elrondex.ESDT.html#trasnfer_ownership/3","title":"Elrondex.ESDT.trasnfer_ownership/3","type":"function"},{"doc":"","ref":"Elrondex.ESDT.html#unfreeze/3","title":"Elrondex.ESDT.unfreeze/3","type":"function"},{"doc":"","ref":"Elrondex.ESDT.html#unpause/2","title":"Elrondex.ESDT.unpause/2","type":"function"},{"doc":"","ref":"Elrondex.ESDT.html#unset_roles/4","title":"Elrondex.ESDT.unset_roles/4","type":"function"},{"doc":"","ref":"Elrondex.ESDT.html#upgrade/2","title":"Elrondex.ESDT.upgrade/2","type":"function"},{"doc":"","ref":"Elrondex.ESDT.html#wipe/3","title":"Elrondex.ESDT.wipe/3","type":"function"},{"doc":"Endpoint abstraction to connect on Elrond Network.","ref":"Elrondex.Endpoint.html","title":"Elrondex.Endpoint","type":"module"},{"doc":"","ref":"Elrondex.Endpoint.html#new/2","title":"Elrondex.Endpoint.new/2","type":"function"},{"doc":"","ref":"Elrondex.MiniBlock.html","title":"Elrondex.MiniBlock","type":"module"},{"doc":"","ref":"Elrondex.MiniBlock.html#from_payload/2","title":"Elrondex.MiniBlock.from_payload/2","type":"function"},{"doc":"","ref":"Elrondex.MiniBlock.html#struct_fields/0","title":"Elrondex.MiniBlock.struct_fields/0","type":"function"},{"doc":"State of Elrond Network.","ref":"Elrondex.Network.html","title":"Elrondex.Network","type":"module"},{"doc":"","ref":"Elrondex.Network.html#config/2","title":"Elrondex.Network.config/2","type":"function"},{"doc":"","ref":"Elrondex.Network.html#devnet/1","title":"Elrondex.Network.devnet/1","type":"function"},{"doc":"","ref":"Elrondex.Network.html#get/1","title":"Elrondex.Network.get/1","type":"function"},{"doc":"","ref":"Elrondex.Network.html#load/1","title":"Elrondex.Network.load/1","type":"function"},{"doc":"","ref":"Elrondex.Network.html#mainnet/1","title":"Elrondex.Network.mainnet/1","type":"function"},{"doc":"","ref":"Elrondex.Network.html#new/3","title":"Elrondex.Network.new/3","type":"function"},{"doc":"","ref":"Elrondex.Network.html#testnet/1","title":"Elrondex.Network.testnet/1","type":"function"},{"doc":"","ref":"Elrondex.Pair.html","title":"Elrondex.Pair","type":"module"},{"doc":"","ref":"Elrondex.Pair.html#token_identifier/2","title":"Elrondex.Pair.token_identifier/2","type":"function"},{"doc":"The Elrond REST API to interact with the Elrond Blockchain.","ref":"Elrondex.REST.html","title":"Elrondex.REST","type":"module"},{"doc":"","ref":"Elrondex.REST.html#body_response/2","title":"Elrondex.REST.body_response/2","type":"function"},{"doc":"","ref":"Elrondex.REST.html#client_response/2","title":"Elrondex.REST.client_response/2","type":"function"},{"doc":"","ref":"Elrondex.REST.html#data_from_path/2","title":"Elrondex.REST.data_from_path/2","type":"function"},{"doc":"","ref":"Elrondex.REST.html#get_address/2","title":"Elrondex.REST.get_address/2","type":"function"},{"doc":"","ref":"Elrondex.REST.html#get_address_balance/2","title":"Elrondex.REST.get_address_balance/2","type":"function"},{"doc":"","ref":"Elrondex.REST.html#get_address_esdt/2","title":"Elrondex.REST.get_address_esdt/2","type":"function"},{"doc":"","ref":"Elrondex.REST.html#get_address_esdt_balance/3","title":"Elrondex.REST.get_address_esdt_balance/3","type":"function"},{"doc":"","ref":"Elrondex.REST.html#get_address_keys/2","title":"Elrondex.REST.get_address_keys/2","type":"function"},{"doc":"","ref":"Elrondex.REST.html#get_address_nonce/2","title":"Elrondex.REST.get_address_nonce/2","type":"function"},{"doc":"","ref":"Elrondex.REST.html#get_address_transactions/2","title":"Elrondex.REST.get_address_transactions/2","type":"function"},{"doc":"","ref":"Elrondex.REST.html#get_block_by_hash/3","title":"Elrondex.REST.get_block_by_hash/3","type":"function"},{"doc":"","ref":"Elrondex.REST.html#get_block_by_nonce/3","title":"Elrondex.REST.get_block_by_nonce/3","type":"function"},{"doc":"","ref":"Elrondex.REST.html#get_network_config/1","title":"Elrondex.REST.get_network_config/1","type":"function"},{"doc":"","ref":"Elrondex.REST.html#get_network_esdts/1","title":"Elrondex.REST.get_network_esdts/1","type":"function"},{"doc":"","ref":"Elrondex.REST.html#get_network_status/1","title":"Elrondex.REST.get_network_status/1","type":"function"},{"doc":"","ref":"Elrondex.REST.html#get_transaction/3","title":"Elrondex.REST.get_transaction/3","type":"function"},{"doc":"","ref":"Elrondex.REST.html#int_response/1","title":"Elrondex.REST.int_response/1","type":"function"},{"doc":"","ref":"Elrondex.REST.html#post_transaction_send/1","title":"Elrondex.REST.post_transaction_send/1","type":"function"},{"doc":"","ref":"Elrondex.REST.html#post_transaction_send/2","title":"Elrondex.REST.post_transaction_send/2","type":"function"},{"doc":"","ref":"Elrondex.REST.html#post_vm_values_int/2","title":"Elrondex.REST.post_vm_values_int/2","type":"function"},{"doc":"","ref":"Elrondex.REST.html#post_vm_values_query/2","title":"Elrondex.REST.post_vm_values_query/2","type":"function"},{"doc":"","ref":"Elrondex.REST.html#post_vm_values_string/2","title":"Elrondex.REST.post_vm_values_string/2","type":"function"},{"doc":"","ref":"Elrondex.REST.html#test_config/1","title":"Elrondex.REST.test_config/1","type":"function"},{"doc":"","ref":"Elrondex.Sc.html","title":"Elrondex.Sc","type":"module"},{"doc":"","ref":"Elrondex.Sc.html#data_call/2","title":"Elrondex.Sc.data_call/2","type":"function"},{"doc":"","ref":"Elrondex.Sc.html#hex_encode/1","title":"Elrondex.Sc.hex_encode/1","type":"function"},{"doc":"","ref":"Elrondex.Sc.html#parse_view_sc_response/1","title":"Elrondex.Sc.parse_view_sc_response/1","type":"function"},{"doc":"Prepare map structure for pure SC function call Optional :caller and :value as options","ref":"Elrondex.Sc.html#view_map_call/4","title":"Elrondex.Sc.view_map_call/4","type":"function"},{"doc":"","ref":"Elrondex.Sc.ChainlinkSc.html","title":"Elrondex.Sc.ChainlinkSc","type":"module"},{"doc":"Return Chainlink SC address","ref":"Elrondex.Sc.ChainlinkSc.html#address/0","title":"Elrondex.Sc.ChainlinkSc.address/0","type":"function"},{"doc":"Return transaction associated with the account that call Chainlink SC for latest price feed asociated to asset1/asset2 In order to be ready for blockchain transaction need to be prepared and signed","ref":"Elrondex.Sc.ChainlinkSc.html#latest_price_feed/3","title":"Elrondex.Sc.ChainlinkSc.latest_price_feed/3","type":"function"},{"doc":"Return transaction associated with the account that call Chainlink SC to get all the price feeds for all the available assets In order to be ready for blockchain transaction need to be prepared and signed","ref":"Elrondex.Sc.ChainlinkSc.html#latest_round_data/1","title":"Elrondex.Sc.ChainlinkSc.latest_round_data/1","type":"function"},{"doc":"","ref":"Elrondex.Sc.Dex.html","title":"Elrondex.Sc.Dex","type":"module"},{"doc":"","ref":"Elrondex.Sc.PairSc.html","title":"Elrondex.Sc.PairSc","type":"module"},{"doc":"","ref":"Elrondex.Sc.PairSc.html#accept_esdt_payment/4","title":"Elrondex.Sc.PairSc.accept_esdt_payment/4","type":"function"},{"doc":"","ref":"Elrondex.Sc.PairSc.html#add_liquidity/4","title":"Elrondex.Sc.PairSc.add_liquidity/4","type":"function"},{"doc":"","ref":"Elrondex.Sc.PairSc.html#add_liquidity/6","title":"Elrondex.Sc.PairSc.add_liquidity/6","type":"function"},{"doc":"","ref":"Elrondex.Sc.PairSc.html#get_amount_in/4","title":"Elrondex.Sc.PairSc.get_amount_in/4","type":"function"},{"doc":"","ref":"Elrondex.Sc.PairSc.html#get_amount_out/4","title":"Elrondex.Sc.PairSc.get_amount_out/4","type":"function"},{"doc":"","ref":"Elrondex.Sc.PairSc.html#get_equivalent/4","title":"Elrondex.Sc.PairSc.get_equivalent/4","type":"function"},{"doc":"","ref":"Elrondex.Sc.PairSc.html#get_extern_swap_gas_limit/3","title":"Elrondex.Sc.PairSc.get_extern_swap_gas_limit/3","type":"function"},{"doc":"Returns true if fee is enabled for given pair or false if its disabled. Arguments pair_address - A pair address network - A network","ref":"Elrondex.Sc.PairSc.html#get_fee_state/2","title":"Elrondex.Sc.PairSc.get_fee_state/2","type":"function"},{"doc":"","ref":"Elrondex.Sc.PairSc.html#get_first_token_id/3","title":"Elrondex.Sc.PairSc.get_first_token_id/3","type":"function"},{"doc":"","ref":"Elrondex.Sc.PairSc.html#get_lp_token_identifier/3","title":"Elrondex.Sc.PairSc.get_lp_token_identifier/3","type":"function"},{"doc":"","ref":"Elrondex.Sc.PairSc.html#get_pair/3","title":"Elrondex.Sc.PairSc.get_pair/3","type":"function"},{"doc":"","ref":"Elrondex.Sc.PairSc.html#get_reserve/4","title":"Elrondex.Sc.PairSc.get_reserve/4","type":"function"},{"doc":"","ref":"Elrondex.Sc.PairSc.html#get_router_managed_address/3","title":"Elrondex.Sc.PairSc.get_router_managed_address/3","type":"function"},{"doc":"","ref":"Elrondex.Sc.PairSc.html#get_router_owner_managed_address/3","title":"Elrondex.Sc.PairSc.get_router_owner_managed_address/3","type":"function"},{"doc":"","ref":"Elrondex.Sc.PairSc.html#get_second_token_id/3","title":"Elrondex.Sc.PairSc.get_second_token_id/3","type":"function"},{"doc":"","ref":"Elrondex.Sc.PairSc.html#get_special_fee/3","title":"Elrondex.Sc.PairSc.get_special_fee/3","type":"function"},{"doc":"","ref":"Elrondex.Sc.PairSc.html#get_state/3","title":"Elrondex.Sc.PairSc.get_state/3","type":"function"},{"doc":"","ref":"Elrondex.Sc.PairSc.html#get_total_fee_percent/3","title":"Elrondex.Sc.PairSc.get_total_fee_percent/3","type":"function"},{"doc":"","ref":"Elrondex.Sc.PairSc.html#get_total_lp_token_supply/3","title":"Elrondex.Sc.PairSc.get_total_lp_token_supply/3","type":"function"},{"doc":"","ref":"Elrondex.Sc.PairSc.html#remove_liquidity/5","title":"Elrondex.Sc.PairSc.remove_liquidity/5","type":"function"},{"doc":"Swaps a certain token amount with fixed amount value on input and minimum amount value on output. Arguments account - An account's struct pair - A pair struct token_in - Token identifier that we provide on input for swap operation value_in - Fixed amount value for input token token_out - Token identifier that we provide on output. The swap operation will return given token into account value_out_min - Minimum amount for output token that is required for a successful swap operation Examples iex&gt; Elrondex.Sc.PairSc . swap_tokens_fixed_input ( Elrondex.Test.Bob . account , ... &gt; Elrondex.Test.Pair . wegld_usdc_pair , ... &gt; &quot;WEGLD-bd4d79&quot; , ... &gt; 1000_000_000_000_000_000 , ... &gt; &quot;USDC-c76f1f&quot; , ... &gt; 2 * 50 * 1_000_000 ) ...&gt; |&gt; Map . get ( :data ) &quot;ESDTTransfer@5745474c442d626434643739@0de0b6b3a7640000@73776170546f6b656e734669786564496e707574@555344432d633736663166@05f5e100&quot;","ref":"Elrondex.Sc.PairSc.html#swap_tokens_fixed_input/6","title":"Elrondex.Sc.PairSc.swap_tokens_fixed_input/6","type":"function"},{"doc":"Swaps a certain token amount value on input for a fixed amount value on output. Arguments account - An account's struct pair - A pair struct token_in - Token identifier that we provide on input for swap operation value_in_max - Maximum amount value for input token token_out - Token identifier that we provide on output. The swap operation will return given token into account value_out - Fixed amount value for output token Examples iex&gt; Elrondex.Sc.PairSc . swap_tokens_fixed_output ( Elrondex.Test.Bob . account , ... &gt; Elrondex.Test.Pair . wegld_usdc_pair , ... &gt; &quot;WEGLD-bd4d79&quot; , ... &gt; 130_000_000_000_000_0000 , ... &gt; &quot;USDC-c76f1f&quot; , ... &gt; 3 * 50 * 1_000_000 ) ...&gt; |&gt; Map . get ( :data ) &quot;ESDTTransfer@5745474c442d626434643739@120a871cc0020000@73776170546f6b656e7346697865644f7574707574@555344432d633736663166@08f0d180&quot;","ref":"Elrondex.Sc.PairSc.html#swap_tokens_fixed_output/6","title":"Elrondex.Sc.PairSc.swap_tokens_fixed_output/6","type":"function"},{"doc":"","ref":"Elrondex.Sc.PairSc.html#temporary_funds/3","title":"Elrondex.Sc.PairSc.temporary_funds/3","type":"function"},{"doc":"","ref":"Elrondex.Sc.PairSc.html#temporary_funds/4","title":"Elrondex.Sc.PairSc.temporary_funds/4","type":"function"},{"doc":"","ref":"Elrondex.Sc.RouterSc.html","title":"Elrondex.Sc.RouterSc","type":"module"},{"doc":"","ref":"Elrondex.Sc.RouterSc.html#get_all_pairs/3","title":"Elrondex.Sc.RouterSc.get_all_pairs/3","type":"function"},{"doc":"","ref":"Elrondex.Sc.RouterSc.html#get_all_pairs_addresses/3","title":"Elrondex.Sc.RouterSc.get_all_pairs_addresses/3","type":"function"},{"doc":"","ref":"Elrondex.Sc.RouterSc.html#get_all_pairs_managed_addresses/3","title":"Elrondex.Sc.RouterSc.get_all_pairs_managed_addresses/3","type":"function"},{"doc":"","ref":"Elrondex.Sc.WrapEgldSc.html","title":"Elrondex.Sc.WrapEgldSc","type":"module"},{"doc":"","ref":"Elrondex.Sc.WrapEgldSc.html#get_locked_egld_balance/3","title":"Elrondex.Sc.WrapEgldSc.get_locked_egld_balance/3","type":"function"},{"doc":"","ref":"Elrondex.Sc.WrapEgldSc.html#get_wrapped_egld_token_id/3","title":"Elrondex.Sc.WrapEgldSc.get_wrapped_egld_token_id/3","type":"function"},{"doc":"Return transaction associated with the account that swap wrapped ESDT token to native EGLD token by calling CS Transaction is simple ESDT token transfer from account to SC with aditional argument unwrapEgld In order to be ready for blockchain transaction need to be prepared and signed","ref":"Elrondex.Sc.WrapEgldSc.html#unwrap_egld/2","title":"Elrondex.Sc.WrapEgldSc.unwrap_egld/2","type":"function"},{"doc":"Return transaction associated with the account that wrap native EGLD token to wrapped ESDT token by calling CS In order to be ready for blockchain transaction need to be prepared and signed","ref":"Elrondex.Sc.WrapEgldSc.html#wrap_egld/2","title":"Elrondex.Sc.WrapEgldSc.wrap_egld/2","type":"function"},{"doc":"Return wrapped ESDT token id","ref":"Elrondex.Sc.WrapEgldSc.html#wrapped_egld_address/0","title":"Elrondex.Sc.WrapEgldSc.wrapped_egld_address/0","type":"function"},{"doc":"Return wrapped ESDT token id associated to native EGLD token by SC","ref":"Elrondex.Sc.WrapEgldSc.html#wrapped_egld_token_id/0","title":"Elrondex.Sc.WrapEgldSc.wrapped_egld_token_id/0","type":"function"},{"doc":"","ref":"Elrondex.Shard.html","title":"Elrondex.Shard","type":"module"},{"doc":"","ref":"Elrondex.Shard.ShardStatus.html","title":"Elrondex.Shard.ShardStatus","type":"module"},{"doc":"","ref":"Elrondex.Shard.ShardStatus.html#from_status_payload/2","title":"Elrondex.Shard.ShardStatus.from_status_payload/2","type":"function"},{"doc":"","ref":"Elrondex.Shard.ShardStatus.html#struct_fields/0","title":"Elrondex.Shard.ShardStatus.struct_fields/0","type":"function"},{"doc":"","ref":"Elrondex.Shard.ShardStatus.html#struct_load/3","title":"Elrondex.Shard.ShardStatus.struct_load/3","type":"function"},{"doc":"","ref":"Elrondex.Shard.ShardStatus.html#struct_load/4","title":"Elrondex.Shard.ShardStatus.struct_load/4","type":"function"},{"doc":"","ref":"Elrondex.Shard.ShardStatus.html#struct_set_integer/6","title":"Elrondex.Shard.ShardStatus.struct_set_integer/6","type":"function"},{"doc":"","ref":"Elrondex.Struct.html","title":"Elrondex.Struct","type":"module"},{"doc":"","ref":"Elrondex.Struct.html#struct_load/3","title":"Elrondex.Struct.struct_load/3","type":"function"},{"doc":"","ref":"Elrondex.Struct.html#struct_load/4","title":"Elrondex.Struct.struct_load/4","type":"function"},{"doc":"","ref":"Elrondex.Struct.html#struct_set_boolean/6","title":"Elrondex.Struct.struct_set_boolean/6","type":"function"},{"doc":"","ref":"Elrondex.Struct.html#struct_set_decimal/6","title":"Elrondex.Struct.struct_set_decimal/6","type":"function"},{"doc":"","ref":"Elrondex.Struct.html#struct_set_integer/6","title":"Elrondex.Struct.struct_set_integer/6","type":"function"},{"doc":"","ref":"Elrondex.Struct.html#struct_set_list/7","title":"Elrondex.Struct.struct_set_list/7","type":"function"},{"doc":"","ref":"Elrondex.Struct.html#struct_set_string/6","title":"Elrondex.Struct.struct_set_string/6","type":"function"},{"doc":"","ref":"Elrondex.Test.html","title":"Elrondex.Test","type":"module"},{"doc":"","ref":"Elrondex.Test.html#pad/1","title":"Elrondex.Test.pad/1","type":"function"},{"doc":"","ref":"Elrondex.Test.Alice.html","title":"Elrondex.Test.Alice","type":"module"},{"doc":"","ref":"Elrondex.Test.Alice.html#account/0","title":"Elrondex.Test.Alice.account/0","type":"function"},{"doc":"","ref":"Elrondex.Test.Alice.html#address/0","title":"Elrondex.Test.Alice.address/0","type":"function"},{"doc":"","ref":"Elrondex.Test.Alice.html#mnemonic/0","title":"Elrondex.Test.Alice.mnemonic/0","type":"function"},{"doc":"","ref":"Elrondex.Test.Bob.html","title":"Elrondex.Test.Bob","type":"module"},{"doc":"","ref":"Elrondex.Test.Bob.html#account/0","title":"Elrondex.Test.Bob.account/0","type":"function"},{"doc":"","ref":"Elrondex.Test.Bob.html#address/0","title":"Elrondex.Test.Bob.address/0","type":"function"},{"doc":"","ref":"Elrondex.Test.Bob.html#hex_private_key/0","title":"Elrondex.Test.Bob.hex_private_key/0","type":"function"},{"doc":"","ref":"Elrondex.Test.Bob.html#hex_public_key/0","title":"Elrondex.Test.Bob.hex_public_key/0","type":"function"},{"doc":"","ref":"Elrondex.Test.Bob.html#mnemonic/0","title":"Elrondex.Test.Bob.mnemonic/0","type":"function"},{"doc":"","ref":"Elrondex.Test.Bob.html#private_key/0","title":"Elrondex.Test.Bob.private_key/0","type":"function"},{"doc":"","ref":"Elrondex.Test.Bob.html#public_key/0","title":"Elrondex.Test.Bob.public_key/0","type":"function"},{"doc":"","ref":"Elrondex.Test.Bob.html#transfer_1_egld_to_alice/0","title":"Elrondex.Test.Bob.transfer_1_egld_to_alice/0","type":"function"},{"doc":"","ref":"Elrondex.Test.Pair.html","title":"Elrondex.Test.Pair","type":"module"},{"doc":"","ref":"Elrondex.Test.Pair.html#wegld_usdc_pair/0","title":"Elrondex.Test.Pair.wegld_usdc_pair/0","type":"function"},{"doc":"","ref":"Elrondex.Transaction.html","title":"Elrondex.Transaction","type":"module"},{"doc":"Returns raw data to sign in JSON format. Arguments tr - the transaction Examples iex&gt; Elrondex.Test.Bob . transfer_1_egld_to_alice ( ) ...&gt; |&gt; Elrondex.Transaction . data_to_sign ( ) &quot;{&quot; nonce &quot;:1, &quot; value &quot;:&quot; 1000000000000000000 &quot;, &quot; receiver &quot;:&quot; erd18n5zgmet82jvqag9n8pcvzdzlgqr3jhqxld2z6nwxzekh4cwt6ps87zfmu &quot;, &quot; sender &quot;:&quot; erd1edmdkecu95u6aj9ehd0lf3d97qw85k86pkqqdu5029zcydslg7qs3tdc59 &quot;, &quot; gasPrice &quot;:10 ,&quot; gasLimit &quot;:100 ,&quot; chainID &quot;:&quot; T &quot;}&quot;","ref":"Elrondex.Transaction.html#data_to_sign/1","title":"Elrondex.Transaction.data_to_sign/1","type":"function"},{"doc":"","ref":"Elrondex.Transaction.html#is_required_sign_field/1","title":"Elrondex.Transaction.is_required_sign_field/1","type":"function"},{"doc":"Prepares a transaction to be done on certain network. Arguments tr - the transaction details 'network' - the network used for that transaction","ref":"Elrondex.Transaction.html#prepare/3","title":"Elrondex.Transaction.prepare/3","type":"function"},{"doc":"Calculates the gas limit for certain transaction. Arguments tr - the transaction details 'network' - the network used for that transaction","ref":"Elrondex.Transaction.html#prepare_gas_limit/2","title":"Elrondex.Transaction.prepare_gas_limit/2","type":"function"},{"doc":"","ref":"Elrondex.Transaction.html#prepare_network/2","title":"Elrondex.Transaction.prepare_network/2","type":"function"},{"doc":"Prepares the nonce of a transaction. Arguments tr - the transaction details 'nonce' - the nonce (integer)","ref":"Elrondex.Transaction.html#prepare_nonce/2","title":"Elrondex.Transaction.prepare_nonce/2","type":"function"},{"doc":"","ref":"Elrondex.Transaction.html#prepare_sign_field/2","title":"Elrondex.Transaction.prepare_sign_field/2","type":"function"},{"doc":"","ref":"Elrondex.Transaction.html#prepare_sign_field_base64/2","title":"Elrondex.Transaction.prepare_sign_field_base64/2","type":"function"},{"doc":"","ref":"Elrondex.Transaction.html#prepare_sign_field_number/2","title":"Elrondex.Transaction.prepare_sign_field_number/2","type":"function"},{"doc":"","ref":"Elrondex.Transaction.html#prepare_sign_field_string/2","title":"Elrondex.Transaction.prepare_sign_field_string/2","type":"function"},{"doc":"Signs a transaction. Arguments tr - the transaction to be signed Examples iex&gt; Elrondex.Test.Bob . transfer_1_egld_to_alice ( ) ...&gt; |&gt; Elrondex.Transaction . sign ( ) ...&gt; |&gt; Map . get ( :signature ) &quot;89c2d0de0612b99ba51235801b3e6488d9fb5e1b33c7d858afd0517df9258056a5d07b573a211ccd4c99f4f130ef6dcfdccd30079feb53c9d5775970b97fc802&quot;","ref":"Elrondex.Transaction.html#sign/1","title":"Elrondex.Transaction.sign/1","type":"function"},{"doc":"","ref":"Elrondex.Transaction.html#sign_field_type/1","title":"Elrondex.Transaction.sign_field_type/1","type":"function"},{"doc":"","ref":"Elrondex.Transaction.html#sign_fields/0","title":"Elrondex.Transaction.sign_fields/0","type":"function"},{"doc":"","ref":"Elrondex.Transaction.html#sign_verify/1","title":"Elrondex.Transaction.sign_verify/1","type":"function"},{"doc":"Verifies the signature of a transaction. Arguments tr - the signed transaction 'account' - the account that signs the transaction Examples iex&gt; Elrondex.Test.Bob . transfer_1_egld_to_alice ( ) ...&gt; |&gt; Elrondex.Transaction . sign ( ) ...&gt; |&gt; Elrondex.Transaction . sign_verify ( ) true","ref":"Elrondex.Transaction.html#sign_verify/2","title":"Elrondex.Transaction.sign_verify/2","type":"function"},{"doc":"","ref":"Elrondex.Transaction.html#to_signed_map/1","title":"Elrondex.Transaction.to_signed_map/1","type":"function"},{"doc":"Creates a new transaction. Arguments account - the account that signs the transaction, called 'sender'. receiver - the receiver who receives native EGLD amount sent by sender. value - the native EGLD amount sent from sender to receiver. data - the data associated to the transaction.","ref":"Elrondex.Transaction.html#transaction/4","title":"Elrondex.Transaction.transaction/4","type":"function"},{"doc":"","ref":"Elrondex.Transaction.TransactionOnBlock.html","title":"Elrondex.Transaction.TransactionOnBlock","type":"module"},{"doc":"","ref":"Elrondex.Transaction.TransactionOnBlock.html#from_payload/2","title":"Elrondex.Transaction.TransactionOnBlock.from_payload/2","type":"function"},{"doc":"","ref":"Elrondex.Transaction.TransactionOnBlock.html#struct_fields/0","title":"Elrondex.Transaction.TransactionOnBlock.struct_fields/0","type":"function"},{"doc":"","ref":"Elrondex.Transaction.TransactionOnNetwork.html","title":"Elrondex.Transaction.TransactionOnNetwork","type":"module"},{"doc":"","ref":"Elrondex.Transaction.TransactionOnNetwork.html#from_payload/2","title":"Elrondex.Transaction.TransactionOnNetwork.from_payload/2","type":"function"},{"doc":"","ref":"Elrondex.Transaction.TransactionOnNetwork.html#struct_fields/0","title":"Elrondex.Transaction.TransactionOnNetwork.struct_fields/0","type":"function"}]